## NAME

d.histogram - Displays a histogram in the form of a pie or bar chart for a user-specified raster file.

## SYNOPSIS

d.histogram
d.histogram help
d.histogram [-nqC] map=string [color=string] [style=string] [nsteps=integer]

### Flags:

-n
  Display information for null cells
-q
  Gather the histogram quietly
-C
  Report for ranges defined in cats file (fp maps only)

### Parameters:

map=string
  Raster map for which histogram will be displayed
color=string
  Color for legend and title
  Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey
  Default: black
style=string
  Indicate if a pie or bar chart is desired
  Default: bar
nsteps=integer
  Number of steps to divide the data range into (fp maps only)
  Default: 255

## DESCRIPTION

d.histogram displays the category-value distribution for a user-specified raster map layer, in the form of a bar chart or a pie chart. The display will be displayed in the active display frame on the graphics monitor, using the colors in the raster map layer's color table. The program determines the raster file's category value distribution by counting cells.

## NOTES

d.histogram uses the current geographic region settings and the current mask (if one exists).

d.histogram uses the colors in the map's color look-up table (i.e., the map's colr or colr2 file).

d.histogram does not erase the active frame before displaying output.

## SEE ALSO

d.colors, d.colortable, d.erase, g.region, r.mask, r.stats, parser,

## AUTHOR

Dave Johnson
DBA Systems, Inc.
10560 Arrowhead Drive
Fairfax, Virginia 22030

Last changed: $Date: 2004/08/10 08:35:01 $

Help Index